<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Referal</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Referal</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get">
                                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                                                    <div class="input-group">
                                                        <input type="text" name="keterangan"
                                                               class="form-control" th:value="${keterangan}"
                                                        placeholder="Cari Keterangan...">
                                                        <span class="input-group-btn">
                                                             <button class="btn btn-info" style="color: white;" type="submit">Cari</button>
                                                        </span>
                                                    </div>
                                                    <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                </div>
                                                <div class="col-md-5 col-sm-6 col-xs-12 form-group pull-left top_search">
                                                    <a th:href="@{/referal/form}" class="btn btn-md  btn-warning">Tambah</a>
                                                </div>
                                            </form>
                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>Nama</th>
                                                            <th>Email</th>
                                                            <th>Kode</th>
                                                            <th>Keterangan</th>
                                                            <th>Nominal</th>
                                                            <th>Program Studi</th>
                                                            <th>Status</th>
                                                            <th>User Insert</th>
                                                            <th colspan="1">&nbsp;</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p, row : ${daftarReferal}">
                                                            <script th:inline="javascript">
                                                                function myFunction(id) {
                                                                    // var id = [[${'copyId'+ p.id}]]
                                                                    console.log(id)
                                                                    var copyText = document.getElementById(id);
                                                                    /* Select the text field */
                                                                    copyText.select();
                                                                    copyText.setSelectionRange(0, 99999); /* For mobile devices */

                                                                    /* Copy the text inside the text field */
                                                                    navigator.clipboard.writeText(copyText.value);

                                                                    /* Alert the copied text */
                                                                    alert("Link Referal : " + copyText.value);
                                                                }
                                                            </script>
                                                            <td th:text="${(row.index + 1) + (daftarReferal.number * daftarReferal.size)}">#</td>
                                                            <td th:text="${p. nama}"></td>
                                                            <td>
                                                                <label th:text="${p. email}"></label>
                                                            </td>
                                                            <td style="font-weight: bold;" >
                                                                <input hidden type="text"  th:value="${'spmb.tazkia.ac.id/sarjanaReguler?kode='} +${p.kodeReferal}+ ' - ' + ${'spmb.tazkia.ac.id/kelasKaryawan?kode='} +${p.kodeReferal} + ' - ' + ${'spmb.tazkia.ac.id/pascasarjana?kode='} +${p.kodeReferal}" th:id="${'copyId'+ p.id}">
                                                                <button class="btn btn-sm btn-primary" th:id="${'copyId'+p.id}" onclick="myFunction(this.id)" th:text="${p. kodeReferal}">Copy text</button>
                                                            </td>
                                                            <td th:text="${p. keterangan}"></td>
                                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(p.nominal, 0, 'POINT', 2, 'COMMA') }"></td>
                                                            <td th:text="${p.prodi.nama}"></td>
                                                            <td>
                                                                <form th:action="@{/referal/aktif(id=${p.id})}" th:if="${!p.status}"  method="post">
                                                                    <button onclick="functionAktif()" class="btn btn-xs btn-danger" th:if="${!p.status}">Tidak Aktif</button>
                                                                </form>

                                                                <form th:action="@{/referal/nonaktif(id=${p.id})}" th:if="${p.status}"  method="post">
                                                                    <button onclick="functionNonAktif()" class="btn btn-xs btn-primary" th:if="${p.status}">Aktif</button>
                                                                </form>
                                                            </td>
                                                            <td th:text="${p. userInsert.username +' ( '+ p.tanggalInsert +' ) '}">10-10-2017</td>
                                                            <td width="100px" align="center">
                                                                <a href="form"  th:href="@{/referal/form(id=${p.id})}"
                                                                   class="btn bg-green btn-xs">Edit
                                                                </a>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    function functionAktif() {
        confirm("Aktifkan Kode Referal?");
    }

    function functionNonAktif() {
        confirm("Non Aktifkan Kode Referal?");
    }
</script>